<%@ page contentType="text/html; charset=UTF-8"%><%@ include file="/WEB-INF/jspf/include/taglibs.jsp"%>

<div class="buttons">
	<div class="cursorPointer" onclick="showBlock( 'helpdeskRoot', 'topicActiveList', helpdeskListQuery );"><img title="к списку" src="${contextPath}/img/left.png" height="32"/></div>
<!-- <div><label for="hdTopicFilterCheckbox"><img title="Фильтр тем" src="${contextPath}/img/filter.png" height="32"/></label></div>  -->
</div>

<form>
<div class="tile">
	<div class="titleFont3 titleBottomLine" style="margin-bottom: 20px;">Создать новую тему</div>

	<c:if test="${not empty categoryList}">
		<div class="textFieldLabel mTop10">Категория:</div>
		<div class="textField" id="categoryDiv"><select name="topic.comm.category" onchange="let query = Object.assign({}, helpdeskQuery); query.categoryId=this.value; showBlock( 'helpdeskSubcategory', 'topicSubcategory', query );"><c:forEach var="item" items="${categoryList}"><option value="${item.id}">${item.title}</option></c:forEach></select></div>
	 </c:if>

	<div id="helpdeskSubcategory"></div>

    <c:if test="${not empty addTextTitle}">
		<div class="textFieldLabel mTop10" id="additionalTextDiv"><span id="topic.additionalTextToSubject.title">${addTextTitle}</span></div>
		<div class="textField"><select name="topic.additionalTextToSubject.values"><c:forEach var="item" items="${addTextValues}"><option value="${item}">${item}</option></c:forEach></select></div>
    </c:if>

	<div class="textFieldLabel mTop10">Название темы:</div>
	<div class="textField"><input type="text" name="topicTitle" placeholder="Введите название темы" /></div>

	<div class="textFieldLabel mTop10">Режим оповещения об ответах:</div>
    <div class="flexRow">
    	<div class="textField" style="flex-grow: 0;">
	    	<select name="topic.comm.mode" onchange="setTopicCommValue( this )">
	    		<c:forEach var="item" items="${commOptions}">
					<c:set var="selected"><c:if test="${item.selected}">selected="selected"</c:if></c:set>
	    			<option value="${item.id}" ${selected} commValue="${item.value}">${item.title }</option>
	    		</c:forEach>
	    	</select> 
    	</div>
    	<div class="textField" style="flex-grow: 1; margin-left: 1rem;"><input type="text" name="topic.comm.value" value="${currentCommValue}"/></div>
	</div>

	<div class="textFieldLabel mTop10">Текст сообщения:</div>
    <div class="formItem" style="width: 100%;"><textarea name="message_body" rows="20" style="width: 100%; font-size: 12pt;"></textarea><br/></div>

	<div class="textFieldLabel mTop10">Вложения:</div>
	<div class="flexRow" style="flex-wrap: wrap;">
		<div class="addAttach" onclick="document.querySelector('input[type=file]').click(); return false;">+</div>
		<input type="file" style="display: none;" onchange="handleFile(this.files[0]); return false;">
	</div>
	    
    <div class="formButton"><input type="button" id="buttonSendToNewTopic" value="Отправить" onclick="updateHelpDeskTopic( this.form )" /></div>
</div>
</form>

<form action="webexecuter" method="post">
    <input type="hidden" name="action" value="UpdateTopic" />
    <input type="hidden" name="module" value="ru.bitel.bgbilling.plugins.helpdesk" />
    <input type="hidden" name="mid" value="0" />
    <input type="hidden" name="ct" value="json" />
    <input type="hidden" name="contractId" value="${clientid}" />
</form>

<script>
	const dropZone = document.querySelector('div.addAttach');
	const input = document.querySelector('input[type=file]');
	
	document.addEventListener('dragover', ev => ev.preventDefault());
	document.addEventListener('drop', ev => ev.preventDefault());
	
	dropZone.addEventListener('drop', ev => 
	{
	    ev.preventDefault(); // отключаем поведение по умолчанию
	    //console.log(ev.dataTransfer); // смотрим на то, что получаем
	    // получаем следующее (в случае передачи изображения)
	    /*
	    DataTransfer {dropEffect: "none", effectAllowed: "all", items: DataTransferItemList, types: Array(1), files: FileList}
	        dropEffect: "none"
	        effectAllowed: "all"
	    =>  files: FileList
	            length: 0
	        __proto__: FileList
	        items: DataTransferItemList {length: 0}
	        types: []
	        __proto__: DataTransfer
	    */

	    // интересующий нас объект (File) хранится в свойстве "files" объекта "DataTransfer", извлекаем его
	    //file = ev.dataTransfer.files[0]

	    // проверяем
	    // log(file)
	    /*
	    File {name: "image.png", lastModified: 1593246425244, lastModifiedDate: Sat Jun 27 2020 13:27:05 GMT+0500 (Екатеринбург, стандартное время), webkitRelativePath: "", size: 208474, …}
	        lastModified: 1593246425244
	        lastModifiedDate: Sat Jun 27 2020 13:27:05 GMT+0500 (Екатеринбург, стандартное время) {}
	        name: "image.png"
	        size: 208474
	        type: "image/png"
	        webkitRelativePath: ""
	        __proto__: File
	    */

	    // передаем файл в функцию для дальнейшей обработки
	    // handleFile(file)
	    // alert( file );
	});

    // file = document.getElementById("image-file").files[0];
    // file = document.querySelector("input[type='file']").files[0];
	
	const handleFile = file => {
		let formData = new FormData();
		formData.append( "file", file );
		formData.append( "module", helpdeskModule );
		formData.append( "action", "HelpDesk" );
		formData.append( "operation", "topicFileAdd" );
		formData.append( "messageId", "0" );
		fetch('webexecuter', {method: "POST", body: formData});
	}	

</script>    